
Ansible - Bug #36448

Ansible Command ignores advance field

05/29/2023 10:04 AM - Nofar Alfassi

Status: Duplicate   

Priority: High   

Assignee:    

Category:    

Target version: foreman_ansible-12.0.3   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 2153727 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2153727

Description of problem:

(Not sure if component should be Ansible or Remote Execution, if its not correct please adjust)

Version-Release number of selected component (if applicable):

Satellite 6.10

Satellite 6.11

Satellite 6.12

maybe olders

How reproducible:

Always

Steps to Reproduce:

1. Monitor -> Jobs -> Run Job

2. Details:

Job Category: Ansible Commands

fill search query and command

Advanced fields:

Effective user: root

fill "Password" and "Effective user password"

3. Execute

Actual results:

Permission Denied

or with usage of ssh key

Missing sudo password

Expected results:

Successfully executed task with results.

Additional info:

Only global setting values or host parameters are respected, setting on job execution is ignored completely.

Related issues:

Is duplicate of Ansible - Bug #37136: SSH User is ignored in advanced field o... Closed

History

#1 - 04/10/2024 09:57 AM - Nofar Alfassi

- Subject changed from Ansible Command ignores advance field
https://bugzilla.redhat.com/show_bug.cgi?id=2153727


 to Ansible Command ignores advance field

- Status changed from New to Duplicate

#2 - 04/10/2024 09:57 AM - Nofar Alfassi

- Is duplicate of Bug #37136: SSH User is ignored in advanced field of job invocation added
